Aria: ArDPPTU Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArDPPTU Class Reference

`#include <ArDPPTU.h>`

Inheritance diagram for ArDPPTU:

List of all members.

## Detailed Description

Driver for the DPPTU.

## Public Types
enum | DeviceType { PANTILT_DEFAULT, PANTILT_PTUD47 }
## Public Member Functions
| ArDPPTU (ArRobot *robot, DeviceType deviceType=PANTILT_DEFAULT)
| Constructor.
bool | awaitExec (void)
| Instructs unit to await completion of the last issued command.
bool | basePanSlew (double deg)
| Sets the start-up pan slew.
bool | baseTiltSlew (double deg)
| Sets the start-up tilt slew.
bool | blank (void)
| Sends a delimiter only.
bool | canZoom (void) const
bool | disableReset (void)
| Disable power-on reset.
bool | disMon (void)
| Disables monitor mode at power up.
bool | enMon (void)
| Enables monitor mode at power up.
bool | factorySet (void)
| Restore factory defaults.
double | getBasePanSlew (void)
| Gets the base pan slew.
double | getBaseTiltSlew (void)
| Gets the base tilt slew.
virtual double | getMaxNegPan (void) const
virtual double | getMaxNegTilt (void) const
double | getMaxPanAccel (void)
double | getMaxPanSlew (void)
virtual double | getMaxPosPan (void) const
virtual double | getMaxPosTilt (void) const
double | getMaxTiltAccel (void)
double | getMaxTiltSlew (void)
double | getMinPanAccel (void)
double | getMinPanSlew (void)
double | getMinTiltAccel (void)
double | getMinTiltSlew (void)
virtual double | getPan (void) const
double | getPanAccel (void)
| Gets the current pan acceleration rate.
double | getPanSlew (void)
| Gets the current pan slew.
virtual double | getTilt (void) const
double | getTiltAccel (void)
| Gets the current tilt acceleration rate.
double | getTiltSlew (void)
| Gets the current tilt slew.
bool | haltAll (void)
| Halts all pan-tilt movement.
bool | haltPan (void)
| Halts pan axis movement.
bool | haltTilt (void)
| Halts tilt axis movement.
bool | highMotPower (void)
| Sets high in-motion power mode.
bool | immedExec (void)
| Sets unit to immediate-execution mode for positional commands.
bool | indepMove (void)
| Sets motion to indenpendent control mode.
bool | init (void)
bool | initMon (double deg1, double deg2, double deg3, double deg4)
| Sets monitor mode - pan pos1/pos2, tilt pos1/pos2.
bool | limitEnforce (bool val)
| Enables or disables the position limit enforcement.
bool | lowerPanSlew (double deg)
| Sets the lower pan slew.
bool | lowerTiltSlew (double deg)
| Sets the lower pan slew.
bool | lowMotPower (void)
| Sets low in-motion power mode.
bool | lowStatPower (void)
| Sets low stationary power mode.
bool | offStatPower (void)
| Sets stationary power mode to off.
bool | pan (double deg)
bool | panAccel (double deg)
| Sets acceleration for pan axis.
bool | panRel (double deg)
bool | panSlew (double deg)
| Sets the rate that the unit pans at.
bool | panSlewRel (double deg)
| Sets the rate that the unit pans at, relative to current slew.
bool | panTilt (double pdeg, double tdeg)
bool | panTiltRel (double pdeg, double tdeg)
bool | regMotPower (void)
| Sets regular in-motion power mode.
bool | regStatPower (void)
| Sets regular stationary power mode.
bool | resetAll (void)
| Reset pan and tilt axes on power-on.
bool | resetCalib (void)
| Perform reset calibration.
bool | resetPan (void)
| Reset pan axis only.
bool | resetTilt (void)
| Reset tilt axis.
bool | restoreSet (void)
| Restore stored defaults.
bool | saveSet (void)
| Save current settings as defaults.
bool | slaveExec (void)
| Sets unit to slaved-execution mode for positional commands.
bool | tilt (double deg)
bool | tiltAccel (double deg)
| Sets acceleration for tilt axis.
bool | tiltRel (double deg)
bool | tiltSlew (double deg)
| Sets the rate the unit tilts at.
bool | tiltSlewRel (double deg)
| Sets the rate the unit tilts at, relative to current slew.
bool | upperPanSlew (double deg)
| Sets the upper pan slew.
bool | upperTiltSlew (double deg)
| Sets the upper tilt slew.
bool | velMove (void)
| Sets motion to pure velocity control mode.
virtual | ~ArDPPTU ()
| Destructor.
## Protected Member Functions
void | preparePacket (void)
## Protected Attributes
double | myBasePanSlew
double | myBaseTiltSlew
DeviceType | myDeviceType
int | myMaxPan
int | myMaxPanAccel
int | myMaxPanSlew
int | myMaxTilt
int | myMaxTiltAccel
int | myMaxTiltSlew
int | myMinPan
int | myMinPanAccel
int | myMinPanSlew
int | myMinTilt
int | myMinTiltAccel
int | myMinTiltSlew
ArDPPTUPacket | myPacket
double | myPan
| adds on extra delim in front to work on H8
double | myPanAccel
float | myPanConvert
double | myPanSlew
ArRobot * | myRobot
double | myTilt
double | myTiltAccel
float | myTiltConvert
double | myTiltSlew

The documentation for this class was generated from the following file:

- ArDPPTU.h